### Hierarchy

- Blob
  - File

## Index

### Properties

- Blob
- lastModified
- name
- size
- type

### Methods

- slice

## Properties

### Blob

Blob: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2219
- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17378

#### Type declaration

- ##### constructor: function

  - new __type(blobParts?: BlobPart[], options?: BlobPropertyBag): Blob
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2220

    #### Parameters

    - ##### Optional blobParts: BlobPart[]

    - ##### Optional options: BlobPropertyBag

    #### Returns Blob

- ##### prototype: Blob

### lastModified

lastModified: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5111

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5112

### size

size: number

Inherited from Blob.size

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2214

### type

type: string

Inherited from Blob.type

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2215

## Methods

### slice

- slice(start?: undefined | number, end?: undefined | number, contentType?: undefined | string): Blob

- Inherited from Blob.slice

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2216

  #### Parameters

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  - ##### Optional contentType: undefined | string

  #### Returns Blob

Generated using TypeDoc